# 前言

这是基于Alkaid Release Platform的发布平台，用于发布SDK。

# 使用说明

## 项目结构

## 项目依赖

项目依赖于 python3.6 + py-trees + yaml 库，这两个第三方库已经porting内置到thirdparty目录下了。
其他的 libreoffice unoconv openpyxl 会在requirements.txt中列出，如果你的环境中不存在，需要请MIS安装。

## 开发环境搭建

为了使得开发过程中测试方便，使用pytest进行单元测试。但是pytest并不默认被安装，所以需要手动安装。
当你需要测试时，请在L0将G:\ekko.bao\pyenv.tgz 目录拷贝到本地，并解压到$HOME目录下。
然后在终端内source该文件，即可使用pytest进行单元测试。

```bash
# 设置pyenv环境变量
export PYENV_ROOT="$HOME/.pyenv"
export PATH="$PYENV_ROOT/bin:$PATH"

# 初始化pyenv
eval "$(pyenv init -)"

# 初始化pyenv-virtualenv
eval "$(pyenv virtualenv-init -)"

# 设置Python版本为3.6
pyenv local 3.6
```

这样会使用3.6版本的python，并使用pyenv-virtualenv管理虚拟环境。
当然这样会覆盖原本MIS提供的环境，如果你运行比如编译时遇到问题，请使用MIS提供的环境。
运行 `pyenv local system` 即可恢复。

## 单元测试

```bash
pytest -k tests -vv
```

## 运行

```bash
./main.py -a sss -t xxx -s xxx -b dddd -p ipv --log inf
```
